For the complete documentation index, see llms.txt. This page is also available as Markdown.

Module

Modules and Widgets

Module Search

get

Get a list of all modules available to this CMS

Query parameters
moduleIdintegerOptional

Filter by module ID

namestringOptional

Filter by module name

keywordstringOptional

Filter by module name, ID, or description

sortBystring · enumOptional

Specifies which field the results are sorted by. Used together with sortDir

Possible values:
sortDirstring · enumOptional

Sort direction

Possible values:
startintegerOptional

The offset to start results from (for pagination)

lengthintegerOptional

The number of records to return (page size)

Responses
200

successful operation

application/json
get/module
GET /api/module HTTP/1.1
Accept: */*
200

successful operation

{
  "moduleId": 1,
  "name": "text",
  "author": "text",
  "description": "text",
  "icon": "text",
  "type": "text",
  "legacyTypes": [
    {
      "name": null,
      "condition": null
    }
  ],
  "dataType": "text",
  "group": [
    "text"
  ],
  "dataCacheKey": "text",
  "fallbackData": 1,
  "regionSpecific": 1,
  "schemaVersion": 1,
  "compatibilityClass": "text",
  "showIn": "text",
  "assignable": 1,
  "hasThumbnail": 1,
  "thumbnail": "text",
  "renderAs": "text",
  "class": "text",
  "validatorClass": [
    "text"
  ],
  "properties": [
    {
      "id": "text",
      "type": "text",
      "title": "text",
      "helpText": "text",
      "default": "text"
    }
  ],
  "onInitialize": "text",
  "onParseData": "text",
  "onDataLoad": "text",
  "onRender": "text",
  "onVisible": "text",
  "sampleData": "text",
  "enabled": 1,
  "previewEnabled": 1,
  "defaultDuration": 1,
  "settings": [
    {
      "id": "text",
      "type": "text",
      "title": "text",
      "helpText": "text",
      "default": "text"
    }
  ],
  "propertyGroups": [
    {
      "id": null,
      "expanded": null,
      "title": null,
      "helpText": null
    }
  ],
  "requiredElements": [
    "text"
  ],
  "isInstalled": true,
  "isError": true,
  "errors": [
    "text"
  ]
}

Module Search By ID

get

Get the Module object specified by the provided moduleId

Path parameters
moduleIdstringRequired

ID of the Module to get

Responses
200

successful operation

application/json

Class Module

moduleIdintegerOptional

The ID of this Module

namestringOptional

Module Name

authorstringOptional

Module Author

descriptionstringOptional

Description of the Module

iconstringOptional

An icon to use in the toolbar

typestringOptional

The type code for this module

dataTypestringOptional

The data type of the data expected to be returned by this modules data provider

groupstring[]Optional

The group details for this module

dataCacheKeystringOptional

The cache key used when requesting data

fallbackDataintegerOptional

Is fallback data allowed for this module? Only applicable for a Data Widget

regionSpecificintegerOptional

Is specific to a Layout or can be uploaded to the Library?

schemaVersionintegerOptional

The schema version of the module

compatibilityClassstringOptional

The compatibility class of the module

showInstringOptional

A flag indicating whether the module should be excluded from the Layout Editor

assignableintegerOptional

A flag indicating whether the module is assignable to a Layout

hasThumbnailintegerOptional

Does this module have a thumbnail to render?

thumbnailstringOptional

This is the location to a module's thumbnail

renderAsstringOptional

Should be rendered natively by the Player or via the CMS (native|html)

classstringOptional

Class Name including namespace

validatorClassstring[]Optional

Validator class name including namespace

onInitializestringOptional

JavaScript function run when a module is initialised, before data is returned

onParseDatastringOptional

Data Parser run against each data item applicable when a dataType is present

onDataLoadstringOptional

A load function to run when the widget first fetches data

onRenderstringOptional

JavaScript function run when a module is rendered, after data has been returned

onVisiblestringOptional

JavaScript function run when a module becomes visible

sampleDatastringOptional

Optional sample data item, only applicable when a dataType is present

enabledintegerOptional

A flag indicating whether this module is enabled

previewEnabledintegerOptional

A flag indicating whether the Layout designer should render a preview of this module

defaultDurationintegerOptional

The default duration for Widgets of this Module when the user has not set a duration.

requiredElementsstring[]Optional

An array of required elements

isInstalledbooleanOptional

$isInstalled Is this module installed?

isErrorbooleanOptional

$isError Does this module have any errors?

errorsstring[]Optional

$errors An array of errors this module has.

get/module/{moduleId}
GET /api/module/{moduleId} HTTP/1.1
Accept: */*
200

successful operation

{
  "moduleId": 1,
  "name": "text",
  "author": "text",
  "description": "text",
  "icon": "text",
  "type": "text",
  "legacyTypes": [
    {
      "name": null,
      "condition": null
    }
  ],
  "dataType": "text",
  "group": [
    "text"
  ],
  "dataCacheKey": "text",
  "fallbackData": 1,
  "regionSpecific": 1,
  "schemaVersion": 1,
  "compatibilityClass": "text",
  "showIn": "text",
  "assignable": 1,
  "hasThumbnail": 1,
  "thumbnail": "text",
  "renderAs": "text",
  "class": "text",
  "validatorClass": [
    "text"
  ],
  "properties": [
    {
      "id": "text",
      "type": "text",
      "title": "text",
      "helpText": "text",
      "default": "text"
    }
  ],
  "onInitialize": "text",
  "onParseData": "text",
  "onDataLoad": "text",
  "onRender": "text",
  "onVisible": "text",
  "sampleData": "text",
  "enabled": 1,
  "previewEnabled": 1,
  "defaultDuration": 1,
  "settings": [
    {
      "id": "text",
      "type": "text",
      "title": "text",
      "helpText": "text",
      "default": "text"
    }
  ],
  "propertyGroups": [
    {
      "id": null,
      "expanded": null,
      "title": null,
      "helpText": null
    }
  ],
  "requiredElements": [
    "text"
  ],
  "isInstalled": true,
  "isError": true,
  "errors": [
    "text"
  ]
}

Get Module Properties

get

Get a module properties which are needed to for the editWidget call

Path parameters
idstringRequired

The ModuleId

Responses
200

successful operation

application/json

A Property

idstringOptional

ID, saved as a widget option

typestringOptional

Type, determines the field type

titlestringOptional

Title: shown in the property panel

helpTextstringOptional

Help Text: shown in the property panel

defaultstringOptional

An optional default value

get/module/properties/{id}
GET /api/module/properties/{id} HTTP/1.1
Accept: */*
200

successful operation

{
  "id": "text",
  "type": "text",
  "title": "text",
  "helpText": "text",
  "default": "text"
}

Module Template Search

get

Get a list of templates available for a particular data type

Path parameters
dataTypestringRequired

DataType to return templates for

Query parameters
typestringOptional

Type to return templates for

Responses
200

An array of module templates for the provided datatype

application/json

Represents a module template

templateIdstringOptional

The templateId

typestringOptional

Type of template (static|element|stencil)

extendsone of · nullableOptional

If this template extends another

dataTypestringOptional

The datatype of this template

titlestringOptional

The title

descriptionstringOptional

Description of the Module Template

iconstringOptional

Icon

thumbnailstringOptional

Thumbnail this is the location to a module template's thumbnail, which should be added to the installation relative to the module class file.

showInstringOptional

A flag indicating whether the template should be excluded from the Layout Editor

isVisiblebooleanOptional

Is Visible?

isEnabledbooleanOptional

Is Enabled?

stencilone of · nullableOptional

A stencil, if needed

groupsWithPermissionsstringOptional

A comma separated list of groups/users with permissions to this template

get/module/templates/{dataType}
GET /api/module/templates/{dataType} HTTP/1.1
Accept: */*
200

An array of module templates for the provided datatype

{
  "templateId": "text",
  "type": "text",
  "extends": {
    "template": null,
    "override": null,
    "with": null,
    "escapeHtml": null
  },
  "dataType": "text",
  "title": "text",
  "description": "text",
  "icon": "text",
  "thumbnail": "text",
  "showIn": "text",
  "properties": [
    {
      "id": "text",
      "type": "text",
      "title": "text",
      "helpText": "text",
      "default": "text"
    }
  ],
  "isVisible": true,
  "isEnabled": true,
  "propertyGroups": [
    {
      "id": null,
      "expanded": null,
      "title": null,
      "helpText": null
    }
  ],
  "stencil": {
    "elements": [
      {
        "id": null,
        "top": null,
        "left": null,
        "width": null,
        "height": null,
        "rotation": null,
        "layer": null,
        "elementGroupId": null,
        "properties": [
          "text"
        ]
      }
    ],
    "twig": "text",
    "hbs": "text",
    "head": "text",
    "style": "text",
    "hbsId": "text",
    "width": 1,
    "height": 1,
    "gapBetweenHbs": 1,
    "elementGroups": [
      {
        "id": null,
        "top": null,
        "left": null,
        "width": null,
        "height": null,
        "layer": null,
        "title": null,
        "slot": null,
        "pinSlot": null
      }
    ]
  },
  "assets": [
    null
  ],
  "groupsWithPermissions": "text"
}

Get Module Template Properties

get

Get a module template properties which are needed to for the editWidget call

Path parameters
dataTypestringRequired

The Template DataType

idstringRequired

The Template Id

Responses
200

successful operation

application/json
Other propertiesstringOptional
get/module/template/{dataType}/properties/{id}
GET /api/module/template/{dataType}/properties/{id} HTTP/1.1
Accept: */*
200

successful operation

{
  "ANY_ADDITIONAL_PROPERTY": "text"
}

Last updated

Was this helpful?